#ifndef _IOKIT_NATIT_H
#define _IOKIT_NATIT_H

#include <IOKit/pci/IOPCIDevice.h>
#include <IOKit/IOService.h>

class com_dmweb_Natit : public IOService
{
    OSDeclareDefaultStructors(com_dmweb_Natit)
    
public:
    virtual bool attach(IOService *provider);
    virtual void detach(IOService *provider);
    virtual IOService* probe(IOService *provider, SInt32 *score );

    virtual bool 	start( IOService * provider );
	virtual bool    init( OSDictionary *properties );

private:
	virtual void    injectValues(IORegistryEntry *theNode);
	virtual OSString* com_dmweb_Natit::getModelName(OSString *venId);

};

#endif _IOKIT_NATIT_H
